Libosmium: osmium::io::Compressor Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
osmium::io::Compressor Class Referenceabstract

`#include <compression.hpp>`

Inheritance diagram for osmium::io::Compressor:
[legend]

## Public Member Functions
| Compressor (const fsync sync) noexcept
| Compressor (const Compressor &)=default
Compressor & | operator= (const Compressor &)=default
| Compressor (Compressor &&) noexcept=default
Compressor & | operator= (Compressor &&) noexcept=default
virtual | ~Compressor () noexcept=default
virtual void | write (const std::string &data)=0
virtual void | close ()=0
virtual std::size_t | file_size () const

## Protected Member Functions
bool | do_fsync () const noexcept

## Private Attributes
fsync | m_fsync

## Constructor & Destructor Documentation

## ◆ Compressor() [1/3]

osmium::io::Compressor::Compressor | ( | const fsync | sync | ) |
| inlineexplicitnoexcept

## ◆ Compressor() [2/3]

osmium::io::Compressor::Compressor | ( | const Compressor & |  | ) |
| default

## ◆ Compressor() [3/3]

osmium::io::Compressor::Compressor | ( | Compressor && |  | ) |
| defaultnoexcept

## ◆ ~Compressor()

virtual osmium::io::Compressor::~Compressor | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ close()

virtual void osmium::io::Compressor::close | ( |  | ) |
| pure virtual

Implemented in osmium::io::Bzip2Compressor, osmium::io::GzipCompressor, and osmium::io::NoCompressor.

## ◆ do_fsync()

bool osmium::io::Compressor::do_fsync | ( |  | ) | const
| inlineprotectednoexcept

## ◆ file_size()

virtual std::size_t osmium::io::Compressor::file_size | ( |  | ) | const
| inlinevirtual

Reimplemented in osmium::io::Bzip2Compressor, osmium::io::GzipCompressor, and osmium::io::NoCompressor.

## ◆ operator=() [1/2]

Compressor & osmium::io::Compressor::operator= | ( | Compressor && |  | ) |
| defaultnoexcept

## ◆ operator=() [2/2]

Compressor & osmium::io::Compressor::operator= | ( | const Compressor & |  | ) |
| default

## ◆ write()

virtual void osmium::io::Compressor::write | ( | const std::string & | data | ) |
| pure virtual

Implemented in osmium::io::Bzip2Compressor, osmium::io::GzipCompressor, and osmium::io::NoCompressor.

## Member Data Documentation

## ◆ m_fsync

fsync osmium::io::Compressor::m_fsync
| private

The documentation for this class was generated from the following file:

- include/osmium/io/compression.hpp